Security patches for autoconf.

Got millert@ to check this, since other ports@ people have been sitting on
their asses instead of looking at this.
This commit is contained in:
espie 1999-12-01 17:07:47 +00:00
parent 8332044369
commit 8999a4393c
4 changed files with 58 additions and 0 deletions

View File

@ -0,0 +1,21 @@
--- autoconf.sh.orig Mon Nov 22 21:47:28 1999
+++ autoconf.sh Mon Nov 22 21:49:50 1999
@@ -45,7 +45,7 @@
esac
: ${TMPDIR=/tmp}
-tmpout=${TMPDIR}/acout.$$
+tmpout=`mktemp ${TMPDIR}/acout.XXXXXXXXXX` || exit 1
localdir=
show_version=no
@@ -97,7 +97,8 @@
trap 'rm -f $tmpin $tmpout; exit 1' 1 2 15
-tmpin=${TMPDIR}/acin.$$ # Always set this, to avoid bogus errors from some rm's.
+tmpin=`mktemp ${TMPDIR}/acin.XXXXXXXXXX` || { rm -f $tmpout; exit 1; }
+# Always set this, to avoid bogus errors from some rm's.
if test z$infile = z-; then
infile=$tmpin
cat > $infile

View File

@ -0,0 +1,11 @@
--- autoheader.sh.orig Mon Nov 22 21:50:45 1999
+++ autoheader.sh Mon Nov 22 21:52:02 1999
@@ -194,7 +194,7 @@
# Some fgrep's have limits on the number of lines that can be in the
# pattern on the command line, so use a temporary file containing the
# pattern.
- (fgrep_tmp=${TMPDIR-/tmp}/autoh$$
+ (fgrep_tmp=`mktemp ${TMPDIR-/tmp}/autoh.XXXXXXXXXX` || exit 1
trap "rm -f $fgrep_tmp; exit 1" 1 2 15
cat > $fgrep_tmp <<EOF
$syms

View File

@ -0,0 +1,20 @@
--- autoupdate.sh.orig Mon Nov 22 21:52:26 1999
+++ autoupdate.sh Mon Nov 22 21:54:30 1999
@@ -26,7 +26,7 @@
Usage: autoupdate [-h] [--help] [-m dir] [--macrodir=dir]
[--version] [template-file]"
-sedtmp=/tmp/acups.$$
+sedtmp=`mktemp ${TMPDIR-/tmp}/acups.XXXXXXXXXX` || exit 1
# For debugging.
#sedtmp=/tmp/acups
show_version=no
@@ -66,7 +66,7 @@
: ${SIMPLE_BACKUP_SUFFIX='~'}
-tmpout=acupo.$$
+tmpout=`mktemp acupo.XXXXXXXXXX` || { rm -f $sedtmp; exit 1; }
trap 'rm -f $sedtmp $tmpout; exit 1' 1 2 15
case $# in
0) infile=configure.in; out="> $tmpout"

View File

@ -0,0 +1,6 @@
$OpenBSD: SECURITY,v 1.1 1999/12/01 17:07:47 espie Exp $
autoconf scripts create quite a few temporary files in public
directories.
The OpenBSD version has been patched to use mktemp(1).